Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.servlets.controls
Class AbstractEvent

    java.lang.Object
      com.bea.netuix.nf.events.UIEvent
          com.bea.netuix.servlets.controls.AbstractEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PortletEvent

public abstract class AbstractEvent
extends com.bea.netuix.nf.events.UIEvent

This is a base class event used by more concrete events to provide common functionality to notify interested listeners.

To fire an event, get the event manager using the static method `getEventManager` and call `fireEvent` on it.

See Also:
  Serialized Form

Nested Class Summary
`static class` | `AbstractEvent.Manager` A class that will manage `AbstractEvent`s.

Constructor Summary
`AbstractEvent()`

Method Summary
`static void` | `addGlobalListener(BackingContext backingContext, AbstractEventListener listener, Class clazz)` Register a listener to be interested in this event.
`static AbstractEvent.Manager` | `getEventManager(Object sourceObject, BackingContext backingContext, Class clazz)` Get the event manager from a backing context.
`static void` | `removeGlobalListener(BackingContext backingContext, AbstractEventListener listener, Class clazz)` Unregister a listener for this event.

Methods inherited from class com.bea.netuix.nf.events.UIEvent
`addGlobalListener, getGlobalListeners, removeGlobalListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractEvent

    public AbstractEvent()

Method Detail

### getEventManager

    public static AbstractEvent.Manager getEventManager(Object sourceObject,
                                                        BackingContext backingContext,
                                                        Class clazz)

  Get the event manager from a backing context.

  Parameters:
    `sourceObject` - the instance of the class calling this method
    `backingContext` - the backing context to find the manager in
    `clazz` - the class name of the event

### addGlobalListener

    public static void addGlobalListener(BackingContext backingContext,
                                         AbstractEventListener listener,
                                         Class clazz)

  Register a listener to be interested in this event.

  Parameters:
    `backingContext` - any backing context.
    `listener` - object implementing AbstractEventListener
    `clazz` - the class name of the event

### removeGlobalListener

    public static void removeGlobalListener(BackingContext backingContext,
                                            AbstractEventListener listener,
                                            Class clazz)

  Unregister a listener for this event.

  Parameters:
    `backingContext` - any backing context.
    `listener` - object implementing AbstractEventListener
    `clazz` - the class name of the event

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved